Skip to main content

AppController_getValidatorNodes

GET 

/api/v1/validator-nodes

AppController_getValidatorNodes

Request​

Query Parameters

    order string

    Possible values: [ASC, DESC]

    Default value: ASC

    Sort order

    offset number

    How many results to skip (for pagination)

    limit number

    Maximum number of results

    sort string

    Possible values: [votingPower]

    Field on which the sort is applied

    vb_id string

    Virtual blockchain ID

    organization_id string

    Organization virtual blockchain ID

    public_key string

    Comet public key

    address string

    Node address

    is_validator boolean

    Flag to include only validator nodes

Responses​

Schema

    hasMore booleanrequired

    Set to 'true' if more results are available.

    totalRecords number

    Total number of available records. Returned only when 'offset' is used in the query.

    items

    object[]

    required

  • Array [

  • virtualBlockchainId stringrequired
    organizationId stringrequired
    cometPublicKeyType stringrequired
    cometPublicKey stringrequired
    address stringrequired
    rpcEndpoint stringrequired
    currentVotingPower numberrequired
    status stringrequired

    Possible values: [UNKNOWN, OK, SYNC, DOWN, BAD]

    statusTimestamp numberrequired
    moniker stringrequired
  • ]

Loading...